" Assorted plugins
Plug 'cespare/vim-toml', { 'for': 'toml' }
Plug 'honza/vim-snippets'
Plug 'jiangmiao/auto-pairs'
Plug 'leafgarland/typescript-vim', { 'for': 'typescript' }
Plug 'leafoftree/vim-svelte-plugin', { 'for': 'svelte' }
Plug 'lukas-reineke/indent-blankline.nvim'
Plug 'nvim-treesitter/nvim-treesitter', {'do': ':TSUpdate'}
Plug 'posva/vim-vue', { 'for': 'vue' }
Plug 'ron-rs/ron.vim', { 'for': 'ron' }
Plug 'tommcdo/vim-exchange'
Plug 'tpope/vim-fugitive'
Plug 'tpope/vim-projectionist'
Plug 'tpope/vim-rails'
Plug 'tpope/vim-repeat'
Plug 'tpope/vim-surround'
Plug 'vim-test/vim-test'
Plug 'wakatime/vim-wakatime'

" CoC
Plug 'neoclide/coc.nvim', {'branch': 'release'} |
  \ Plug 'neoclide/coc-git'

" Lightline
Plug 'itchyny/lightline.vim' |
  \ Plug 'albertomontesg/lightline-asyncrun' |
  \ Plug 'itchyny/vim-gitbranch' |
  \ Plug 'macthecadillac/lightline-gitdiff' |
  \ Plug 'ryanoasis/vim-devicons' |
  \ Plug 'anstadnik/tmuxline.vim'
  " Using the above fork for lightline truecolor support
  " \ Plug 'edkolev/tmuxline.vim'

" NvimTree
Plug 'kyazdani42/nvim-tree.lua' |
  \ Plug 'kyazdani42/nvim-web-devicons'

" Vim-Markdown
Plug 'godlygeek/tabular' |
      \ Plug 'plasticboy/vim-markdown', { 'for': 'markdown' }

" Telescope
Plug 'nvim-lua/popup.nvim'
Plug 'nvim-lua/plenary.nvim'
Plug 'nvim-telescope/telescope.nvim'

" sonokai colorscheme + supporting plugins
Plug 'sainnhe/sonokai' |
  \ Plug 'rmolin88/pomodoro.vim' |
  \ Plug 'sainnhe/artify.vim'
